> For the complete documentation index, see [llms.txt](https://docs.xy.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xy.finance/single-bridge-integration/ybridge-api/build-approval-transaction.md).

# Build Approval Transaction

This API returns the transaction data so you get to decide whether to approve yBridge to spend your tokens.

## Get the approve transaction

<mark style="color:blue;">`GET`</mark> `endpoint/approve`

#### Query Parameters

| Name                                           | Type   | Description                                                |
| ---------------------------------------------- | ------ | ---------------------------------------------------------- |
| chainId<mark style="color:red;">\*</mark>      | String | chain ID                                                   |
| spender<mark style="color:red;">\*</mark>      | String | Address of the spender                                     |
| tokenAddress<mark style="color:red;">\*</mark> | String | Token address                                              |
| amount                                         | String | Amount of tokens to be approved. If not given, approve max |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "isSuccess": true,
    "msg": "",
    "tokenAddress": "<tokenAddress>",
    "spender": "<spender>",
    "amount": "<amount>",
    "tx": {
        "to": "<tokenAddress>",
        "data": "<data>",
    }
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**`NOTE :`**` ``The spender should be the contractAddress in the response of` [`Get Quote`](https://app.gitbook.com/s/-Mcs9EhDrgbKHodtcAT6/~/changes/HTPvqHWDmiwzKo005mtN/xswap-api/v1/get-quote)`.`
{% endhint %}

{% hint style="warning" %}
&#x200B;**`IMPORTANT :`**` ``Note that the amount parameter should be padded with zeroes. For example, pass`` `**`100000000`**` ``instead of`` `**`100`**` ``if the decimal digits of the token are 6.`
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xy.finance/single-bridge-integration/ybridge-api/build-approval-transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
